import { useState, useEffect } from "react";
function useLazyRender(show) {
  const [inited, setInited] = useState(false);
  useEffect(() => {
    if (show) {
      setInited(show);
    }
  }, [show]);
  return (render) => () => inited ? render() : null;
}
var stdin_default = useLazyRender;
export {
  stdin_default as default
};
